CREATE OR REPLACE FUNCTION fn_Segundo_Nombre
(
   i_Nombre IN Char
)
RETURN CHAR
IS
   w_Pos1    Integer;
   w_Pos2    Integer;
   w_Pos3    Integer;
   w_Cad     VarChar(20);
BEGIN
   w_Pos1 := InStr(i_Nombre, '/');
   w_Pos2 := InStr(SubStr(i_Nombre,w_Pos1+1,Length(i_Nombre)-w_Pos1), '/') + w_Pos1;
   w_Pos3 := InStr(SubStr(i_Nombre,w_Pos2+1,Length(i_Nombre)-w_Pos2), ' ') + w_Pos2;
   If w_Pos3 = w_Pos2 Then
      w_Pos3 := Length(i_Nombre);
   End If;
   w_Cad := RTrim(SubStr(i_Nombre,w_Pos3 + 1,Length(i_Nombre)-w_Pos3));
   RETURN(w_Cad);
END;
/
CREATE PUBLIC SYNONYM fn_Segundo_Nombre FOR ADAM.fn_Segundo_Nombre;
GRANT ALL ON fn_Segundo_Nombre TO ADAMA;
